package org.springblade.device.feign;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springblade.device.entity.ElevatorDevice;
import org.springblade.device.vo.ElevatorDeviceVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class ElevatorDeviceClientFallback implements IElevatorDeviceClient {
            /**
         * 详情
         */
        @Override
        public ElevatorDeviceVO detail(ElevatorDevice elevatorDevice) {
            return null;
        }

        /**
         * 查询 云梯-电梯信息
         */
        @Override
        public List<ElevatorDeviceVO> list(ElevatorDevice elevatorDevice) {
            return null;
        }



        /**
         * 新增 云梯-电梯信息
         */
        @Override
        public boolean save( ElevatorDevice elevatorDevice) {
            return false;
        }

        /**
         * 修改 云梯-电梯信息
         */
        @Override
        public boolean update( ElevatorDevice elevatorDevice) {
            return false;
        }

        /**
         * 新增或修改 云梯-电梯信息
         */
        @Override
        public boolean submit( ElevatorDevice elevatorDevice) {
            return false;
        }


        /**
         * 删除 云梯-电梯信息
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public ElevatorDevice getOne(LambdaQueryWrapper<ElevatorDevice> elevatorWrapper) {
		return null;
	}

}
